## LassoDiscoQuery LassoDiscoQuery — <disco:Query> |

## Functions

LassoDiscoQuery * | lasso_disco_query_new ()

## Types and Values

struct | LassoDiscoQuery

## Description

Figure 110. Schema fragment for disco:Query

    <xs:complexType name="QueryType">
      <xs:sequence>
        <xs:element name="RequestedService"
          type="RequestedServiceType"
          minOccurs="0"
          maxOccurs="unbounded"/>
        </xs:sequence>

        <xs:anyAttribute namespace="##other" processContents="lax"/>
      </xs:complexType>

## Functions

### lasso_disco_query_new ()

    LassoDiscoQuery *
    lasso_disco_query_new (void);

## Types and Values

### struct LassoDiscoQuery

    struct LassoDiscoQuery {
    	LassoNode parent;

    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;
    	GList *RequestedServiceType; /* of LassoNode */
    	gchar *id;
    };